Subject: Re: Local tag killer

From: Marc Branchaud <[email-masked]>
Date: Tue, 24 Sep 2013 09:22:32 -0400

On 13-09-24 03:51 AM, Jeff King wrote:
> On Sat, Sep 21, 2013 at 08:42:26AM +0200, Michael Haggerty wrote:
>
>> I think it would be preferable if "--prune" would *not* affect tags, and
>> if there were an extra option like "--prune-tags" that would have to be
>> used explicitly to cause tags to be pruned.  Would somebody object to
>> such a change?
>
> I think most of this problem is the way that we fetch tags straight into
> the refs/tags hierarchy. You would not do:
>
>    [remote "origin"]
>    fetch = +refs/heads/*:refs/heads/*
>    prune = true
>
> unless you wanted to be a pure-mirror, because you would hose your local
> changes any time you fetched. But that is _exactly_ what we do with a
> refs/tags/*:refs/tags/* fetch.
>
> If we instead moved to a default fetch refspec more like:
>
>    [remote "origin"]
>    fetch = +refs/*:refs/remotes/origin/refs/*

I'm all for such a change.

You no doubt recall the lengthy discussion about remote ref namespaces 
back in 2011 [1].  That arose while planning for 1.8, but my feeble 
recollection is that the change was considered too disruptive.  It seems 
2.0 would be a better home for such work.

		M.

[1] 
http://thread.gmane.org/gmane.comp.version-control.git/165799/focus=166729